> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qa.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# List application builds

> Lists mobile builds that can be used as primary or other apps in environment overrides.



## OpenAPI

````yaml /api-reference/api.json get /v1/applications/{applicationShortId}/builds
openapi: 3.0.0
info:
  title: QA.tech API
  version: 1.0.0
  contact:
    name: QA.tech
    url: https://qa.tech
    email: support@qa.tech
  description: API for triggering and managing AI-powered test runs
servers:
  - url: https://api.qa.tech
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Runs
  - name: Infrastructure
  - name: Test Cases
  - name: Application Builds
  - name: Status badge
  - name: Remote Tunnels
  - name: Chat
  - name: Applications
  - name: Features
  - name: Metrics
  - name: Release Checks
  - name: Projects
  - name: Knowledge
  - name: Rules
  - name: Issues
paths:
  /v1/applications/{applicationShortId}/builds:
    get:
      tags:
        - Application Builds
      summary: List application builds
      description: >-
        Lists mobile builds that can be used as primary or other apps in
        environment overrides.
      operationId: ListApplicationBuilds
      parameters:
        - name: applicationShortId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ApplicationShortId'
        - name: page
          in: query
          required: false
          schema:
            type: integer
            format: int32
          explode: false
        - name: perPage
          in: query
          required: false
          schema:
            type: integer
            format: int32
          explode: false
        - name: projectShortId
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ProjectShortId'
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListApplicationBuildsResponse'
components:
  schemas:
    ApplicationShortId:
      type: string
      pattern: ^app(-.+_.+|_.+)$
    ProjectShortId:
      type: string
      pattern: ^proj(-.+_.+|_.+)$
    ListApplicationBuildsResponse:
      type: object
      required:
        - builds
        - page
        - perPage
        - total
        - totalPages
        - hasMore
      properties:
        builds:
          type: array
          items:
            $ref: '#/components/schemas/ApplicationBuildItem'
        page:
          type: integer
          format: int32
        perPage:
          type: integer
          format: int32
        total:
          type: integer
          format: int64
        totalPages:
          type: integer
          format: int32
        hasMore:
          type: boolean
    ApplicationBuildItem:
      type: object
      required:
        - applicationBuildShortId
        - platform
        - fileName
        - fileSizeBytes
        - version
        - buildNumber
        - appBundleId
        - createdAt
      properties:
        applicationBuildShortId:
          $ref: '#/components/schemas/ApplicationBuildShortId'
        platform:
          $ref: '#/components/schemas/MobilePlatform'
        fileName:
          type: string
        fileSizeBytes:
          type: integer
          format: int64
          nullable: true
        version:
          type: string
          nullable: true
        buildNumber:
          type: string
          nullable: true
        appBundleId:
          type: string
          nullable: true
        createdAt:
          type: string
          allOf:
            - $ref: '#/components/schemas/Iso8601Timestamp'
          nullable: true
    ApplicationBuildShortId:
      type: string
      pattern: ^build(-.+_.+|_.+)$
    MobilePlatform:
      type: string
      enum:
        - ios
        - android
      description: Mobile platform for application builds
    Iso8601Timestamp:
      type: string
      pattern: >-
        ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])([Tt
        ]([01]\d|2[0-3]):[0-5]\d(:[0-5]\d)?(\.\d+)?([Zz]|[+-]([01]\d|2[0-3]):?[0-5]\d)?)?$
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````